import request from '@/utils/request'

/**
 * 获取微信公众号回复配置列表
 * @param {*} query type 类型： 1采美，2呵呵商城
 */
export function fetchList(query) {
  return request({
    url: '/wechat/reply/list',
    method: 'get',
    params: query
  })
}

/**
 * 根据ID获取微信公众号回复配置
 */
export function getReply(id) {
  return request({
    url: '/wechat/reply/' + id,
    method: 'get'
  })
}

/**
 * 根据ID更新微信公众号回复配置
 */
export function updateReply(id, data) {
  return request({
    url: '/wechat/reply/update/' + id,
    method: 'post',
    data: data
  })
}

/**
 * 添加微信公众号回复配置
 */
export function createReply(data) {
  return request({
    url: '/wechat/reply/create',
    method: 'post',
    data: data
  })
}

/**
 * 根据ID删除微信公众号回复配置
 */
export function deleteReply(id) {
  return request({
    url: '/wechat/reply/delete/' + id,
    method: 'post'
  })
}
